[lfs-support] GCC-4.6.2 on 32 bit Mint13 mpfr error

Bruce Dubbs bruce.dubbs at gmail.com
Fri Aug 10 08:30:48 PDT 2012


Alexander Yartsev wrote:
> I am sure that I have the mpfr, gmp and mpc in the gcc source folder, but I
> get the following:
>
> *gcc configure command:
> $LFS/sources/gcc-4.6.2/configure --target=$LFS_TGT --prefix=/tools
> --disable-nls --disable-shared --disable-multilib --disable-decimal-float
> --disable-threads --disable-libmudflap --disable-libssp --disable-libgomp
> --disable-libquadmath --disable-target-libiberty --disable-target-zlib
> --enable-languages=c --without-ppl --without-cloog
> --with-mpfr-include=$(pwd)/mnt/lfs/sources/gcc-4.6.2/mpfr/src
> --with-mpfr-lib=$(pwd)/mpfr/src/.libs
>
> make && make install output:
>
> checking for MPFR... no
> configure: error: libmpfr not found or uses a different ABI.
> make[1]: *** [configure-mpc] Error 1
> make[1]: Leaving directory `/mnt/lfs/sources/gcc-build'
> make: *** [all] Error 2
> *
>
> Can you point out my mistake?

It's a little difficult to tell.  Does the configure command have any 
embedded newlines?  When you start, what is the output of:

pwd
ls -l

Does the first configure work and the failure happen with the make?  Or 
is the failure in the first configure command?

   -- Bruce



More information about the lfs-support mailing list